DEVICE={{ item.device|string }}
{% if not interfaces_ipv6_enabled %}
IPV6INIT=no
{% endif %}
{% if item.bootproto|string|lower == 'static' %}
BOOTPROTO=none
{%   if item.address is defined and item.address|string|length > 0 %}
IPADDR={{ item.address|string }}
{%   endif %}
{%   if item.netmask is defined and item.netmask|string|length > 0 %}
NETMASK={{ item.netmask|string }}
{%   endif %}
{%   if item.gateway is defined and item.gateway|string|length > 0 %}
GATEWAY={{ item.gateway|string }}
{%   endif %}
{% elif item.bootproto|string|lower == 'dhcp' %}
BOOTPROTO=dhcp
{% endif %}
{% if item.onboot is defined and item.onboot|string|length > 0 %}
ONBOOT={{ item.onboot|string }}
{% endif %}
{% if ansible_distribution_major_version is version_compare('7','>=') %}
NM_CONTROLLED=no
{% endif %}
{% if item.device is match('.*\.\d{1,4}') %}
VLAN=yes
{% endif %}
{% if item.mtu is defined and item.mtu|string|length > 0 %}
MTU={{ item.mtu|string }}
{% endif %}
